gnutls_x509_aia_get(3)

NAME
gnutls_x509_aia_get - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_aia_get(gnutls_x509_aia_t aia, unsigned int seq, gnutls_datum_t * oid, unsigned * san_type, gnutls_datum_t * san);

ARGUMENTS

gnutls_x509_aia_t aia
    The authority info access structure

unsigned int seq
    specifies the sequence number of the access descriptor (0 for the first one, 1 for the second etc.)

gnutls_datum_t * oid
    the type of available data; to be treated as constant.

unsigned * san_type
    Will hold the type of the name of gnutls_subject_alt_names_t (may be null).

gnutls_datum_t * san
    the access location name; to be treated as constant (may be null).

DESCRIPTION
This function reads from the Authority Information Access structure.

The seq input parameter is used to indicate which member of the sequence the caller is interested in. The first member is 0, the second member 1 and so on. When the seq value is out of bounds, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE is returned.

Typically oid is GNUTLS_OID_AD_CAISSUERS or GNUTLS_OID_AD_OCSP.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/